Release 7.4.6 for Windows Platform

WHAT'S NEW

  • CVE-2018-6460, has been fixed by removing the internal web-server.
  • Paulos Yibelo reported a flaw in Hotspot Shield that has been fixed in this new version.

NOTE: You need to have at least Windows 7 to use Hotspot Shield version 7.4.6.


 

Have more questions? Submit a request